## gdal-grass 2.0.0~rc1

=== CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# ##############################################################################
# CMake settings
cmake_minimum_required(VERSION 3.10.0)
set(CMAKE_COLOR_MAKEFILE ON)

# set path to additional CMake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# specify the C++ standard
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# ##############################################################################
# Project and version
set(CPACK_PACKAGE_VERSION_MAJOR "2")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(VERSION_SUFFIX "rc1")
set(COMPLETE_VERSION
    ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
)
set(RELEASE_NAME ${COMPLETE_VERSION}${VERSION_SUFFIX})

project(gdal-grass VERSION ${COMPLETE_VERSION})

message(STATUS "gdal-grass version ${RELEASE_NAME}")

include(CTest)

# ##############################################################################
# Dependencies and flags
find_package(GDAL REQUIRED)
find_package(GRASS REQUIRED)
find_package(PostgreSQL)
find_package(PROJ)

if(NOT AUTOLOAD_DIR)
  execute_process(
    COMMAND ${GDAL_CONFIG} --prefix
    OUTPUT_VARIABLE GDALPREFIX
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(AUTOLOAD_DIR ${GDALPREFIX}/lib/gdalplugins)
  if(NOT AUTOLOAD_DIR)
    message(FATAL_ERROR "Could not set GDAL plugin path")
  endif()
endif()
message(
  STATUS "Using ${AUTOLOAD_DIR} as GDAL shared library autoload directory")

set(CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -DUSE_CPL -DGRASS_GISBASE=\\\"${GRASS_GISBASE}\\\"")

# ##############################################################################
# Build
set(GLIB_SOURCES source/grass.cpp)
set(OLIB_SOURCES source/ogrgrassdriver.cpp source/ogrgrassdatasource.cpp
                 source/ogrgrasslayer.cpp source/ogrgrass.h)

add_library(gdal_grass SHARED ${GLIB_SOURCES})
set_target_properties(gdal_grass PROPERTIES PREFIX "")
set_target_properties(gdal_grass PROPERTIES OUTPUT_NAME "gdal_GRASS")
set_target_properties(gdal_grass PROPERTIES INSTALL_RPATH "${GRASS_GISBASE}/lib")
target_include_directories(
  gdal_grass PRIVATE ${CMAKE_SOURCE_DIR} ${GDAL_INCLUDE_DIR} ${PostgreSQL_INCLUDE_DIRS}
                     ${GRASS_INCLUDE} ${PROJ_INCLUDE_DIRS})
target_link_libraries(gdal_grass PUBLIC ${GDAL_LIBRARY} ${G_LIBS})
install(TARGETS gdal_grass DESTINATION ${AUTOLOAD_DIR})

add_library(ogr_grass SHARED ${OLIB_SOURCES})
set_target_properties(ogr_grass PROPERTIES PREFIX "")
set_target_properties(ogr_grass PROPERTIES OUTPUT_NAME "ogr_GRASS")
set_target_properties(ogr_grass PROPERTIES INSTALL_RPATH "${GRASS_GISBASE}/lib")
target_include_directories(
  ogr_grass PRIVATE ${CMAKE_SOURCE_DIR} ${GDAL_INCLUDE_DIR} ${PostgreSQL_INCLUDE_DIRS}
                    ${GRASS_INCLUDE} ${PROJ_INCLUDE_DIRS})
target_link_libraries(ogr_grass PUBLIC ${GDAL_LIBRARY} ${G_LIBS})
install(TARGETS ogr_grass DESTINATION ${AUTOLOAD_DIR})

# ##############################################################################
# Tests

if (Python_LOOKUP_VERSION)
    set(Python_FIND_STRATEGY VERSION)
    find_package(Python ${Python_LOOKUP_VERSION} EXACT COMPONENTS Interpreter Development NumPy)
else ()
    set(Python_FIND_STRATEGY LOCATION)
    find_package(Python 3.11 COMPONENTS Interpreter Development NumPy)
endif ()

if (BUILD_TESTING AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/autotest")
    add_subdirectory(autotest)
endif ()

=== debian/changelog ===
gdal-grass (2.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop gdal-3.12.patch, included upstream.
  * Rename source & binary package to not conflict with old packages.
    Drop epoch used for old packages.
  * Add copyright for debian/*.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Oct 2025 15:59:09 +0100

libgdal-grass (1:1.0.4-2) unstable; urgency=medium

  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Add upstream patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118730)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 11:50:27 +0200

libgdal-grass (1:1.0.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 07:55:03 +0200

libgdal-grass (1:1.0.4-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jun 2025 15:10:16 +0200

libgdal-grass (1:1.0.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.7.2, no changes.
  * Make autopkgtest script more verbose.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jun 2025 21:25:27 +0200

libgdal-grass (1:1.0.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2025 18:27:10 +0100

libgdal-grass (1:1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Feb 2025 16:00:29 +0100

libgdal-grass (1:1.0.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop rpath.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2025 14:59:17 +0100

libgdal-grass (1:1.0.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake buildsystem.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 13:55:38 +0100

libgdal-grass (1:1.0.2-8) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for GRASS 8.4.0.
  * Update watch file to also match pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Aug 2024 10:42:07 +0200

libgdal-grass (1:1.0.2-7) unstable; urgency=medium

  * Replace pkg-config build dependency with pkgconf.
  * Update packaging for GRASS 8.3.2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 07:59:17 +0100

libgdal-grass (1:1.0.2-6) unstable; urgency=medium

  * Ignore ogrinfo failure on 32 bit architectures,
    instead of limiting autopkgtest architectures.
  * Update packaging for GRASS 8.3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Oct 2023 21:47:36 +0200

libgdal-grass (1:1.0.2-5) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Drop grass build dependency.
  * Update packaging for GRASS 8.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 06:14:48 +0200

libgdal-grass (1:1.0.2-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Update packaging for GRASS 8.2.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 07:48:53 +0100

libgdal-grass (1:1.0.2-3) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Update README.source for GRASS version check changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Dec 2022 11:53:10 +0100

libgdal-grass (1:1.0.2-2) unstable; urgency=medium

  * Catch wget & tar errors in autopkgtest.
  * Limit autopkgtest to 64bit architectures.
    See: https://github.com/OSGeo/grass/issues/2631

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 18:10:07 +0100

libgdal-grass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop pr13-Add-support-for-GDAL-3.6.0.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 12:17:52 +0100

libgdal-grass (1:1.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add autopkgtest to catch GDAL/GRASS version errors.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with GDAL 3.6.0.
    (closes: #1023506)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 09:01:16 +0100

libgdal-grass (1:1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Add docs file to install Markdown documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 15:11:07 +0200

libgdal-grass (1:1.0.0-2) unstable; urgency=medium

  * Add patch to fix undefined symbol issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 21:34:48 +0200

libgdal-grass (1:1.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 08:11:50 +0200

libgdal-grass (1:1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Use epoch to deal with versioning separate from gdal.
  * Remove VERSION check.
  * Add upstream metadata.
  * Update watch file to use GitHub tags.
  * Use Multi-Arch path for gdalplugins with GDAL 3.5.0.
  * Drop rpath patch, fixed upstream.
  * Drop obsolete dirs file.
  * Drop obsolete dh_autoreconf overrides.
  * Add patch to support DESTDIR, drop obsolete dh_auto_install override.
  * Add patch to not remove -g from C{,XX}FLAGS.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 11:22:30 +0200

libgdal-grass (3.4.3-3) unstable; urgency=medium

  * Update packaging for GRASS 8.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jun 2022 12:58:26 +0200

libgdal-grass (3.4.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.0.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 16:59:05 +0200

libgdal-grass (3.4.3-1) unstable; urgency=medium

  * New upstream release.


=== debian/control ===
Source: gdal-grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               grass-dev (>= 8.4.1),
               libgdal-dev (>= 3.5.0),
               libpq-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git -b experimental
Homepage: https://github.com/OSGeo/gdal-grass

Package: libgdal-plugin-grass
Architecture: any
Section: libs
Depends: ${grass:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gdal-bin
Conflicts: libgdal-grass
Provides: libgdal-grass
Replaces: libgdal-grass
Description: GRASS extension for the GDAL library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. This extension
 provides access to GRASS data via GDAL.
 .
 This package provides the GDAL GRASS plugin.

## gdal-grass 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 set(CPACK_PACKAGE_VERSION_MAJOR "2")
 set(CPACK_PACKAGE_VERSION_MINOR "0")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
-set(VERSION_SUFFIX "rc1")
+set(VERSION_SUFFIX "")
 set(COMPLETE_VERSION
     ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
 )

=== debian/changelog ===
gdal-grass (2.0.0-2build1) resolute; urgency=medium

  * No-change rebuild for grass842.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 18 Dec 2025 16:34:14 +0000

gdal-grass (2.0.0-2) unstable; urgency=medium

  * Drop autopkgtest, it hinders testing migration during gdal transitions.
  * Update packaging for GRASS 8.4.2.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Nov 2025 06:23:44 +0100

gdal-grass (2.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Nov 2025 14:11:33 +0100

gdal-grass (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Nov 2025 14:26:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               grass-dev (>= 8.4.1),
+               grass-dev (>= 8.4.2),
                libgdal-dev (>= 3.5.0),
                libpq-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git
 Homepage: https://github.com/OSGeo/gdal-grass
 
 Package: libgdal-plugin-grass
